net.minecraft.client.multiplayer

## Class ThreadLanServerPing

- java.lang.Object
- - java.lang.Thread
  - - net.minecraft.client.multiplayer.ThreadLanServerPing

- All Implemented Interfaces:
    Runnable

      public class ThreadLanServerPing
      extends Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadLanServerPing(String par1Str, String par2Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getAdFromPingResponse(String par0Str)`
    `static String` | `getMotdFromPingResponse(String par0Str)`
    `static String` | `getPingResponse(String par0Str, String par1Str)`
    `void` | `interrupt()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadLanServerPing

          public ThreadLanServerPing(String par1Str,
                             String par2Str)
                              throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### interrupt

          public void interrupt()

      Overrides:
        `interrupt` in class `Thread`

    - #### getPingResponse

          public static String getPingResponse(String par0Str,
                               String par1Str)

    - #### getMotdFromPingResponse

          public static String getMotdFromPingResponse(String par0Str)

    - #### getAdFromPingResponse

          public static String getAdFromPingResponse(String par0Str)